Apache-less variant with PHP 7.4

hekate
Posts: 4
Joined: Wed Sep 23, 2020 6:59 pm
Apache-less variant with PHP 7.4

Post by hekate »

Hello, I would like to ask a few questions about myvesta.

First is related to updates to new versions of php because for example wordpress recommend with their latest version to use php 7.4.
So, this will be update later as an update or I must to upgrade to new version manually?

My second question is related to web templates. I did my install with nginx + php-fpm so I didn't took the option of apache.
I would like to know more about the current config of each template related with wordpress and the default option. I'm currently using wordpress2_rewrite because with this version fix a problem related to permalinks.

Also I discovered today in this post "viewtopic.php?f=18&p=364#p364" that I can't have multiple php versions because I did not install apache, so I was thinking that could be a good idea to have it also installed because this feature is interesting.
About install apache for multiple php versions, is a good idea to install apache manually? or I should install again the panel to do it properly.

Thanks for reading and have a nice day!

User avatar
dpeca
Site Admin
Posts: 501
Joined: Fri Jun 19, 2020 9:59 am
Re: Apache-less variant with PHP 7.4

Post by dpeca »

Well, in default myVesta variant (with Apache), you would just need to follow instructions from viewtopic.php?f=18&t=52 in order to install php7.4
Then you can easily "avoid Apache" and make nginx poining directly to php-fpm by following this tutorial - https://forum.vestacp.com/viewtopic.php ... 129#p71226

But, since you installed it without Apache, what you neeed to do is:
- manually to uninstall php7.3
- manually to install php7.4
I gave example for uninstall on the end of mentioned thread.
Install of php7.4 might looks like:

Code: Select all

apt -y install apt-transport-https ca-certificates
wget -nv -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg
sh -c 'echo "deb https://packages.sury.org/php/ buster main" > /etc/apt/sources.list.d/php.list'
apt update
apt upgrade -y
apt -y install php7.4-mbstring php7.4-bcmath php7.4-cli php7.4-curl php7.4-fpm php7.4-gd php7.4-intl php7.4-mysql php7.4-soap php7.4-xml php7.4-zip php7.4-memcache php7.4-memcached
update-rc.d php7.4-fpm defaults
But I really can not say if it gonna works... I don't use Apache-less variant, that variant was even impossible until last 3 months when I fixed installation bug just in order to make it works, but without idea to support that variant with future features.

That apache-less variant came from official Vesta, and I can't tell you anything about nginx templates you asked for, I simply never used it.

And yes, my recommendation is to install default variant with Apache.

hekate
Posts: 4
Joined: Wed Sep 23, 2020 6:59 pm
Re: General inquiries

Post by hekate »

Ok, I'm going to reinstall the panel better to do it properly.
About my other question, do you have planned to update also the php version with myvestacp updates? or I must do it manually.

User avatar
dpeca
Site Admin
Posts: 501
Joined: Fri Jun 19, 2020 9:59 am
Re: General inquiries

Post by dpeca »

Manually.
I mean, it's not 'update' because many other PHP software strictly require php7.3 and does not works with php7.4, so it's bad idea to install 7.4 instead of 7.3.
Debian10 packages are based on php7.3, for example Roundcube webmail.
So, we will probably wait Debian11 if we expect php7.4 to be default (but it could be even php8.0).

SFCORTES
Posts: 6
Joined: Wed Jan 20, 2021 1:11 am
Re: General inquiries

Post by SFCORTES »

I have the same, myVesta with no Apache and trying to upgrade from 7.3 to 7.4. Somehow they are all installed, 7.3, 7.4, 8.0 but I don't know how to make one WEB use 7.4 instead of 7.3. Any ideas?

User avatar
dpeca
Site Admin
Posts: 501
Joined: Fri Jun 19, 2020 9:59 am
Re: General inquiries

Post by dpeca »

See my post in this thread from September 26

SFCORTES
Posts: 6
Joined: Wed Jan 20, 2021 1:11 am
Re: General inquiries

Post by SFCORTES »

It worked, however Vesta still shows
Web Template:
PHP-FPM-73
Is there any issue if it shows like that?

SFCORTES
Posts: 6
Joined: Wed Jan 20, 2021 1:11 am
Re: General inquiries

Post by SFCORTES »

Now SSL disabled and it's throwing:
Error: php-fpm pool doesn't exist
when trying to enable it in myVesta.
Any idea?

SFCORTES
Posts: 6
Joined: Wed Jan 20, 2021 1:11 am
Re: General inquiries

Post by SFCORTES »

How to make myVesta know it has PHP-FPM-74 now? Or should I do it?

User avatar
dpeca
Site Admin
Posts: 501
Joined: Fri Jun 19, 2020 9:59 am
Re: General inquiries

Post by dpeca »

Template name is not important, there is nothing related to php7.3, it just has '7.3' in name.
If phpinfo() show 7.4, it's 7.4


Post Reply